<?php

if (class_exists('Chronopost_Chronorelais_Block_Sales_Order_Shipment_View')) {
    abstract class Chronopost_Food_Block_Sales_Order_Shipment_AbstractView extends Chronopost_Chronorelais_Block_Sales_Order_Shipment_View{};
} else {
    abstract class Chronopost_Food_Block_Sales_Order_Shipment_AbstractView extends Mage_Adminhtml_Block_Sales_Order_Shipment_View{};
}


class Chronopost_Food_Block_Sales_Order_Shipment_View extends Chronopost_Food_Block_Sales_Order_Shipment_AbstractView
{

    public function __construct()
    {
        parent::__construct();

        //Ajout de l'impression de l'étiquette Chronopost
        $_order = $this->getShipment()->getOrder();
        $_shippingMethod = explode("_",$_order->getShippingMethod());
        if (($_shippingMethod[0] == 'chronofresh' ))  {
            $this->_addButton('etiquette', array(
                'label'     => Mage::helper('food')->__('Etiquette Chronopost'),
                'class'     => 'save',
                'onclick'   => 'setLocation(\'' . $this->getPrintChronopostUrl() . '\')'
                )
            );
        }
    }

    public function getPrintChronopostUrl()
    {
        return $this->getUrl('adminhtml/food_sales_impression/print', array(
            'shipment_id' => $this->getShipment()->getId()
        ));
    }
}